Content Manager Enterprise Studio 25.1 Enterprise Studio

# Document Transfers tab

To display this tab, right-click the Workgroup Server and click Properties, then click the Document Transfers tab.

This tab enables you to configure how the Workgroup Server transfers electronic documents to the electronic document store.

- Synchronous Document Store transfers - select for this Workgroup Server to transfer documents to the document store directly, bypassing the folder C:\Micro Focus Content Manager\ServerLocalData\TRIM\Pending. This makes all the other options in this tab unavailable. When this option is not selected, the file transfer to the document store is asynchronous.

The other options determine the behavior of transfers from the folder Pending to the document store, which Content Manager uses by default. There is no need to change these default settings unless you are experiencing difficulties with the transfers.

- Maximum number of attempts for a Document Store transfer - default: 3. Up to 25. The number of times the Workgroup Server attempts failed transfers again.
- Interval between Document Store transfer attempts (seconds) - default: 300. The time interval at which the Workgroup Server attempts failed transfers again.
- Maximum number of queued Document Store transfers - default: 300. Maximum number of files queued in the folder Pending. When the folder Pending fills up because of a network problem or full disk, for example, Content Manager switches to synchronous transfers to clear additional files, and then back to asynchronous transfer again.
- Maximum number of simultaneous Document Store transfers - default: 10. Maximum number of simultaneous Workgroup Server file transfer operations to the store.
- Suppress the use of Windows CreateHardLink function to copy streamed documents - select this option to prevent Content Manager from using the Win32 API function CreateHardLink when doing document transfers.
- Reset To Default - click to reset all values to their defaults

When a file fails to transfer from the folder Pending to the document store, then Content Manager moves it to the folder C:\Micro Focus Content Manager\ServerLocalData\TRIM\PendingFailures.

When the file fails to transfer several times according to the setting above, Content Manager moves the file to the folder C:\Micro Focus Content Manager\ServerLocalData\TRIM\PendingQuarantine.

To attempt the transfer again, move the files manually from the folder PendingQuarantine to the folder Pending.

Checking the folder PendingQuarantine therefore gives you an indication that the transfers are not working correctly.

Copyright 2008-2025 Open Text
Version 25.1 | Last updated October 2024
Contact

Send documentation feedback

Close

Send documentation feedback

To send feedback using your default email client, open an email window.

Otherwise, send your feedback and the information below to hprmdocumentation@microfocus.com.

We appreciate your feedback!

Product: Content Manager Enterprise Studio 25.1

Topic Title: Document Transfers tab